<style>
	:global(:root){
		--color0: #111;
		--color1: #FFF;
		--color2: #222;
		--color3: #FFFFD0;
	}
	:global(*::-webkit-scrollbar){
		width: 0.5em;
		border: 1px solid var(--color2);
	}
	:global(*::-webkit-scrollbar-track){
		border-radius: 1em;
		background-color: var(--color2);
	}
	:global(*::-webkit-scrollbar-thumb){
		border-radius: 1em;
		background-color: var(--color3);
		border: 1px solid var(--color2);
	}
	:global(*){
		padding: 0;
		margin: 0;
		font-family: consolas, monospace;
		font-size: 1em;
	}
	:global(html, body){
		width: 100%;
		height: 100%;
		display: flex;
		flex-flow: column nowrap;
		background-color: var(--color0);
		color: var(--color1);
	}
	:global(a){
		text-decoration: underline;
		color: var(--color3);
	}
	:global(a:hover){text-decoration: underline overline;}
	:global(h1){font-size: 2em;}
	:global(h2){font-size: 1.7em;}
	:global(h3){font-size: 1.5em;}
	:global(h4){font-size: 1.2em;}
	:global(small){font-size: 0.8em;}
	:global(input, select){
		box-sizing: border-box; /*fixes inputs being bigger than their parents*/
		margin: 0.2em;
		padding: 0.3em;
		border-radius: 0em;
		border: none;
	}
	:global(input:focus, select:focus){
		outline: none;
		box-shadow: 0 0 1px 2px var(--color1);
	}
	:global(input:invalid){box-shadow: 0 0 1px 2px red;}
	:global(textarea){
		margin: 0.4em;
		padding: 0.3em;
		border-radius: 0.3em;
		border: 1px solid var(--color1);
		outline: none;
		flex: 1 1 auto;
		background-color: var(--color2);
		color: var(--color1);
	}
	:global(textarea:focus){
		border: 1px solid var(--color3);
	}
	:global(button, .button){
		display: inline-block;
		padding: 0.4em 1.8em;
		/* margin: 0.2em; */
		border: 1px solid var(--color1);
		/* border-radius: 0.2em; */
		background-color: var(--color2);
		/* text-transform: uppercase; */
		text-decoration: none;
		color: var(--color3);
		font-family: consolas, monospace;
		/* font-size: 1.1em; */
	}
	:global(button:hover, .button:hover){text-decoration: none;}
	:global(button:disabled, .button:disabled){
		background-color: var(--color2);
		text-decoration: line-through;
	}
</style>
<script>
	import View from './view'
</script>
<View/>
